package roneditor.gef.editpolicies.ron;

import org.eclipse.gef.commands.Command;
import org.eclipse.gef.editpolicies.ComponentEditPolicy;
import org.eclipse.gef.requests.GroupRequest;

import roneditor.gef.commands.ron.DeleteHLNodeCommand;
import roneditor.gef.editparts.ron.HLNodeEditPart;
import ronmodel.HLNode;

/**
 * {@link ComponentEditPolicy} for an {@link HLNodeEditPart}.
 */
public class HLNodeComponentEditPolicy extends ComponentEditPolicy {

	public HLNodeComponentEditPolicy() {
		super();
	}

	protected Command createDeleteCommand(GroupRequest deleteRequest) {
		return new DeleteHLNodeCommand((HLNode) getHost().getModel());
	}

}
