package roneditor.gef.palette.objectnet;

import org.eclipse.gef.Tool;
import org.eclipse.gef.palette.ConnectionCreationToolEntry;
import org.eclipse.gef.requests.CreationFactory;
import org.eclipse.jface.resource.ImageDescriptor;

import roneditor.gef.tools.objectnet.ObjectNetMagicConnectionCreationTool;

public class ObjectNetMagicConnectionCreationToolEntry extends
		ConnectionCreationToolEntry {
	
	public ObjectNetMagicConnectionCreationToolEntry(String label, String shortDesc, CreationFactory factory,
			ImageDescriptor iconSmall, ImageDescriptor iconLarge) {
		super(label, shortDesc, factory, iconSmall, iconLarge);
	}

	/**
	 * Returns a new CreationTool for this entry.
	 */
	public Tool createTool() {
		return new ObjectNetMagicConnectionCreationTool(factory);
	}

}
