package roneditor.gef.palette.rule;

import org.eclipse.gef.palette.CreationToolEntry;

import roneditor.gef.palette.objectnet.ObjectNetPaletteRoot;
import roneditor.model.ModelCreationFactory;
import roneditor.ui.utils.RONIconUtil;
import ronmodel.Mapping;
import ronmodel.RonmodelPackage;

/**
 * Palette for Rules
 */
public class RulePaletteRoot extends ObjectNetPaletteRoot {
	public RulePaletteRoot() {
		super();
		CreationToolEntry entry;
		entry = new RuleMappingCreationToolEntry("Map", "Create a new mapping", new ModelCreationFactory(Mapping.class),
				RONIconUtil.getInstance().getDescriptor(RonmodelPackage.MAPPING ,16),
				RONIconUtil.getInstance().getDescriptor(RonmodelPackage.MAPPING ,24)
		);
		symbols.add(entry);
	}
}
