package roneditor.model.extension_parser;

import org.eclipse.emf.ecore.EPackage;

import roneditor.clipboard.IClipboardSupport;
import roneditor.clipboard.IClipboardSupportFactory;

public class ObjectnetClipboardSupportFactory implements IClipboardSupportFactory{

	private final IClipboardSupport support = new ObjectnetClipboardSupport();
	
	public ObjectnetClipboardSupportFactory() {
		super();
	}
	
	public IClipboardSupport newClipboardSupport(EPackage ePackage) {
		return support;
	}


}
