package roneditor.gef.actions.objectnet;

import org.eclipse.gef.ui.actions.ActionBarContributor;
import org.eclipse.ui.actions.RetargetAction;

import roneditor.ui.utils.RONIconUtil;

/**
 * Provides an {@link RetargetAction} for the {@link ActionBarContributor} of
 * the {@link FireTransitionAction}
 */
public class FireTransitionRetargetAction extends RetargetAction {
	public FireTransitionRetargetAction() {
		super(FireTransitionAction.ID, FireTransitionAction.LABEL);
		setToolTipText(FireTransitionAction.DESCRIPTION);
		setImageDescriptor(RONIconUtil.getInstance().getDescriptor(RONIconUtil.FIRE_TRANSITION, 16));
	}
}
