package roneditor.gef.actions.objectnet;

import org.eclipse.gef.ui.actions.ActionBarContributor;
import org.eclipse.ui.actions.RetargetAction;

import roneditor.ui.utils.RONIconUtil;

/**
 * Provides an {@link RetargetAction} for the {@link ActionBarContributor} of
 * the {@link ObjectNetEditPartGraphLayoutAction}
 */
public class ObjectNetEditPartGraphLayoutRetargetAction extends RetargetAction {
	public ObjectNetEditPartGraphLayoutRetargetAction() {
		super(ObjectNetEditPartGraphLayoutAction.ID, ObjectNetEditPartGraphLayoutAction.LABEL);
		setToolTipText(ObjectNetEditPartGraphLayoutAction.DESCRIPTION);
		setImageDescriptor(RONIconUtil.getInstance().getDescriptor(RONIconUtil.GRAPH_LAYOUT, 16));
	}
}
