package roneditor.gef.figures.ron;

import org.eclipse.draw2d.ConnectionEndpointLocator;
import org.eclipse.draw2d.Graphics;
import org.eclipse.draw2d.Label;
import org.eclipse.draw2d.PolylineConnection;
import org.eclipse.swt.SWT;
import org.eclipse.swt.graphics.Color;

public class HLArcFigure extends PolylineConnection {
	protected Label relationshipLabel;

	public HLArcFigure(String name) {
		super();
		setForegroundColor(new Color(null, 128, 128, 128));
		ConnectionEndpointLocator relationshipLocator = new ConnectionEndpointLocator(this, false);
		relationshipLocator.setUDistance(5);
		relationshipLocator.setVDistance(10);
		relationshipLabel = new Label(name);
	}

	public void paint(Graphics graphics) {
		graphics.setAntialias(SWT.ON);
		super.paint(graphics);
	}
	public void setName(String name) {
		relationshipLabel.setText(name);
	}

	public String getName() {
		return relationshipLabel.getText();
	}

}
