package roneditor.gef.palette.objectnet;

import org.eclipse.gef.Tool;
import org.eclipse.gef.palette.CreationToolEntry;
import org.eclipse.gef.requests.CreationFactory;
import org.eclipse.jface.resource.ImageDescriptor;

import roneditor.gef.tools.objectnet.ObjectNetCreationTool;

public class ObjectNetCreationToolEntry extends CreationToolEntry {

	public ObjectNetCreationToolEntry(String label, String shortDesc, CreationFactory factory, ImageDescriptor iconSmall,
			ImageDescriptor iconLarge) {
		super(label, shortDesc, factory, iconSmall, iconLarge);
	}

	/**
	 * Returns a new CreationTool for this entry.
	 */
	public Tool createTool() {
		return new ObjectNetCreationTool(factory);
	}
}
