package roneditor.gef.palette.ron;

import org.eclipse.gef.Tool;
import org.eclipse.gef.palette.CreationToolEntry;
import org.eclipse.gef.requests.CreationFactory;
import org.eclipse.gef.tools.CreationTool;
import org.eclipse.jface.resource.ImageDescriptor;

import roneditor.gef.tools.ron.HLPlaceCreationTool;
import ronmodel.HLPlaceType;

public class HLPlaceCreationToolEntry extends CreationToolEntry {

	
	HLPlaceType type;
	
	public HLPlaceCreationToolEntry(String label, String shortDesc, CreationFactory factory, ImageDescriptor iconSmall,
			ImageDescriptor iconLarge) {
		super(label, shortDesc, factory, iconSmall, iconLarge);
	}

	public HLPlaceCreationToolEntry(String label, String shortDesc, CreationFactory factory, HLPlaceType t, ImageDescriptor iconSmall,
			ImageDescriptor iconLarge) {
		super(label, shortDesc, factory, iconSmall, iconLarge);
		this.type = t;
	}
	
	/**
	 * Returns a new CreationTool for this entry.
	 */
	public Tool createTool() {
		return new HLPlaceCreationTool(factory,type);
	}
}
