package roneditor.gef.palette.ron;

import org.eclipse.gef.Tool;
import org.eclipse.gef.palette.CreationToolEntry;
import org.eclipse.gef.requests.CreationFactory;
import org.eclipse.gef.tools.CreationTool;
import org.eclipse.jface.resource.ImageDescriptor;

import roneditor.gef.tools.ron.TokenCreationTool;
import ronmodel.HLPlaceType;

/**
 * 
 * @author seb
 * the CreationToolEntry for our (abstract Token)CreationTool 
 */
public class TokenCreationToolEntry extends CreationToolEntry {

	
	HLPlaceType type;
	
	public TokenCreationToolEntry(String label, String shortDesc, CreationFactory factory, ImageDescriptor iconSmall,
			ImageDescriptor iconLarge) {
		super(label, shortDesc, factory, iconSmall, iconLarge);
	}

	
	/**
	 * Returns a new CreationTool for this entry.
	 */
	public Tool createTool() {
		return new TokenCreationTool(factory);
	}
}
