package roneditor.gef.tools.ron;

import java.util.Map;

import org.eclipse.gef.Request;
import org.eclipse.gef.RequestConstants;
import org.eclipse.gef.commands.Command;
import org.eclipse.gef.requests.CreationFactory;
import org.eclipse.gef.tools.CreationTool;

import roneditor.gef.commands.objectnet.CreateNodeCommand;
import roneditor.gef.commands.ron.CreateHLNodeCommand;
import roneditor.gef.commands.ron.CreateHLPlaceCommand;
import roneditor.gef.editparts.objectnet.ONNodeEditPart;
import roneditor.gef.editparts.ron.HLNodeEditPart;
import ronmodel.HLNode;
import ronmodel.HLPlaceType;
import ronmodel.ONNode;


/**
 * 
 * @author seb
 * special creationTool for abstract Tokens
 * we have to override performCreation to overcome a nullPointerException
 */
public class TokenCreationTool extends CreationTool {

	HLPlaceType type;
	
	public TokenCreationTool() {
		super();
	}

	public TokenCreationTool(CreationFactory factory) {
		super(factory);
	}


	/**
	 * override performCreation
	 */
	@Override
	protected  void performCreation(int button ){
		this.executeCurrentCommand();
	}
}