package roneditor.ui.wizard;

import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.jface.wizard.Wizard;
import org.eclipse.ui.INewWizard;
import org.eclipse.ui.IWorkbench;

public class CreateHLPlaceWizard extends Wizard implements INewWizard  {
	
	private CreateHLPlaceWizardPage page;

	private IStructuredSelection selection;

	private IWorkbench workbench;
	
	protected String placeName;
	
	protected boolean isRule;
	
	@Override
	public void addPages() {
		page = new CreateHLPlaceWizardPage(workbench, selection);
		addPage(page);
	}
	
	@Override
	public boolean performFinish() {
		return true;
		// return page.finish();
	}

	public void init(IWorkbench workbench, IStructuredSelection selection) {
		this.workbench = workbench;
		this.selection = selection;
	}

	public boolean isRule() {
		return isRule;
	}

	public void setRule(boolean isRule) {
		this.isRule = isRule;
	}

	public String getPlaceName() {
		return placeName;
	}

	public void setPlaceName(String placeName) {
		this.placeName = placeName;
	}

}
