package roneditor.ui.wizard;

import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.jface.wizard.Wizard;
import org.eclipse.ui.INewWizard;
import org.eclipse.ui.IWorkbench;

public class CreateTokenWizard extends Wizard implements INewWizard  {
	
	private CreateTokenWizardPage page;

	private IStructuredSelection selection;

	private IWorkbench workbench;
	
	protected String tokenName;

	protected int initialNacs;
	
	@Override
	public void addPages() {
		page = new CreateTokenWizardPage(workbench, selection);
		addPage(page);
	}
	
	@Override
	public boolean performFinish() {
		return true;
		// return page.finish();
	}

	public void init(IWorkbench workbench, IStructuredSelection selection) {
		this.workbench = workbench;
		this.selection = selection;
	}


	public String getTokenName() {
		return tokenName;
	}

	public void setTokenName(String placeName) {
		this.tokenName = placeName;
	}

	public int getInitialNacs() {
		return initialNacs;
	}

	public void setInitialNacs(int initialNacs) {
		this.initialNacs = initialNacs;
	}

}
